package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel(
   value = "质检单表",
   description = "质检单表"
)
public class DrpQualityInspect {
   @ApiModelProperty("质检id")
   private Long qualityInspectId;
   @ApiModelProperty("单据号")
   private String drpOrderId;
   @ApiModelProperty("单据类型(1送货单,2验货单,3入库单)")
   private Integer drpOrderType;
   @ApiModelProperty("质检报告图片地址")
   private String imageUrl;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Long getQualityInspectId() {
      return this.qualityInspectId;
   }

   public String getDrpOrderId() {
      return this.drpOrderId;
   }

   public Integer getDrpOrderType() {
      return this.drpOrderType;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public DrpQualityInspect setQualityInspectId(final Long qualityInspectId) {
      this.qualityInspectId = qualityInspectId;
      return this;
   }

   public DrpQualityInspect setDrpOrderId(final String drpOrderId) {
      this.drpOrderId = drpOrderId;
      return this;
   }

   public DrpQualityInspect setDrpOrderType(final Integer drpOrderType) {
      this.drpOrderType = drpOrderType;
      return this;
   }

   public DrpQualityInspect setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpQualityInspect setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpQualityInspect setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpQualityInspect setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpQualityInspect setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
